---
layout: post
comments: true
title: "Using umode +g / blocking unauthorized PMs"
category: [english]
tags: [english, irc]
redirect_from: /english/2015/04/02/umodeg.html
---

Since the [Limnoria episode]({% post_url blog/2015-03-25-leaving-bots-life %})
I have been blocking PMs from everyone, because multiple people thought
that as I am not part of any those communities anymore, the best way to get
support is PMing me which is wrong.

I get tired with telling people to go to proper channels, so I told my
ZNC to set umode +g automatically at freenode which accidentally went
to all networks (as I didn't have network level \*perform loaded), but I
am happy this way.

* I don't receive any unwanted PMs, so PM [harassment] has dropped.
* People learn basic politeness by having to ask before PMing.

[harassment]:https://github.com/Mikaela/freenode-harassment

So what if someone wants to PM me and does that without asking?

The sender sees the following:

```
Mikaela :is in +g mode (server-side ignore.)
Mikaela :has been informed that you messaged them.
```

And I see the following:

```
Michaela ~Mikaela@PirateParty/FI/Member :is messaging you, and you have umode +g.
```

All messages appear in server buffer and then I have some options:

* If I know Michaela and I trust that she has some good reason to PM me,
  I can `/accept Michaela` and ask her to send the message again.
    * I know Michaela, because Michaela is my altnick on many networks and
      and this example comes from [PirateIRC] which is first network that
      was open and that doesn't freeze [HexChat] when attaching to ZNC.
* If I have no idea who is Michaela, I can whois her to see if we share
  any common channels and ask on those what she wanted to talk in PM
  and if I see reason for it, I `/accept Michaela`.
* If I know that Michaela is some horrible person on channel, I can ignore
  the notification on PM attempt as she is not going to say anything nice
  or that is worth hearing, very likely harassment...

[PirateIRC]:https://pirateirc.net/
[HexChat]:https://hexchat.github.io/

If I had done `/accept Michaela`, she would be able to PM me until

* I removed the authorization using `/accept -Mikaela`
* I or Michaela disconnected
* Michaela changed her nick

I can also check which people are allowed to PM me using `/accept *`. PMing
someone automatically adds them to `/accept` on <s>modern</s> some IRCds if
you are on umode +g.

*[For (un)setting umodes, see this post.]({% post_url blog/2015-06-03-setting-umodes %})*
